#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[8] = { 0 };
    char string_eq_const_1_0[5] = { 0 };
    char string_eq_const_2_0[5] = { 0 };
    char string_eq_const_3_0[8] = { 0 };
    char string_eq_const_4_0[3] = { 0 };
    char string_eq_const_5_0[8] = { 0 };
    char string_eq_const_6_0[4] = { 0 };
    char string_eq_const_7_0[5] = { 0 };
    char string_eq_const_8_0[5] = { 0 };
    char string_eq_const_9_0[3] = { 0 };

    if (size < 44)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_1_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_3_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_4_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_5_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_6_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_7_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_8_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_9_0, &data[i], 2);
    i += 2;


    if (strcmp(string_eq_const_0_0, "Eo|P#S>") == 0)
    if (strcmp(string_eq_const_1_0, "a]._") == 0)
    if (strcmp(string_eq_const_2_0, "[>T8") == 0)
    if (strcmp(string_eq_const_3_0, "GXV)5'8") == 0)
    if (strcmp(string_eq_const_4_0, "Hm") == 0)
    if (strcmp(string_eq_const_5_0, "Kzq@W]p") == 0)
    if (strcmp(string_eq_const_6_0, "yc8") == 0)
    if (strcmp(string_eq_const_7_0, "44)d") == 0)
    if (strcmp(string_eq_const_8_0, "#xt4") == 0)
    if (strcmp(string_eq_const_9_0, "^g") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
